create procedure sistema.sp_limpiarModulosEmpresa
@numEmpresa int,
@numUsuario int,
@txtModulos varchar(2000)
as
begin
	set nocount on;

	declare @dbSql varchar(3000);

	set @dbSql = 'UPDATE sistema.config_modulosEmpresa SET estado = 0 WHERE idEmpresa = '+CAST(@numEmpresa as varchar)+' AND id not in('+@txtModulos+')';

	EXEC(@dbSql);
end